package au.id.rupert.chauffeurs_name_board;

// Save name as a preference
// Turning this into a Big Button to replace au.id.rupert.chauffeurs_name_board

import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.os.SystemClock;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.content.SharedPreferences;
import android.content.pm.ActivityInfo;

public class Configuration extends Activity {
    /** Called when the activity is first created. */
	
	// set up SharedPreferences
    private SharedPreferences prefs;
    private static final String NAME_KEY = "strName";
    private String prefName = "MyPref";
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.screen2);
    
        Button btnClose = (Button) findViewById(R.id.btnClose);  
        this.setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_LANDSCAPE);

             
        //Close Button Pressed
        btnClose.setOnClickListener(new View.OnClickListener() {
			
			public void onClick(View arg0) {
				
			   	//---get the SharedPreferences object---
				prefs = getSharedPreferences(prefName, MODE_PRIVATE);
            	SharedPreferences.Editor editor = prefs.edit();
            	
				// Save values when the close button is pressed
                EditText strName = (EditText) findViewById(R.id.client_Name);
             
                //---save the values in the EditText view to preferences---    
                editor.putString(NAME_KEY, strName.getText().toString());  
                // Toast.makeText(getApplicationContext(), "the Name is: " + strName.getText().toString(), Toast.LENGTH_LONG).show();

                //---saves the values---
                editor.commit();       
                // Toast.makeText(getApplicationContext(), prefs.getString(NAME_KEY, "") + " Saved PoneNumber key", Toast.LENGTH_LONG).show();
                
                //Closing SecondScreen Activity
				finish();
			}
		});
        
        // Read the stored preferences
        EditText strName = (EditText) findViewById(R.id.client_Name);
        
        // ----------------- Simulate screen press on ExitText to bring up a soft keyboard
        // http://stackoverflow.com/questions/5105354/how-to-show-soft-keyboard-when-edittext-is-focused
        (new Handler()).postDelayed(new Runnable() {

            public void run() {
                EditText yourEditText= (EditText) findViewById(R.id.client_Name);
                yourEditText.dispatchTouchEvent(MotionEvent.obtain(SystemClock.uptimeMillis(), SystemClock.uptimeMillis(), MotionEvent.ACTION_DOWN , 0, 0, 0));
                yourEditText.dispatchTouchEvent(MotionEvent.obtain(SystemClock.uptimeMillis(), SystemClock.uptimeMillis(), MotionEvent.ACTION_UP , 0, 0, 0));                       
            }
        }, 200);

        prefs = getSharedPreferences(prefName, MODE_PRIVATE);
        
        // Restore the saved strName string
        strName.setText(prefs.getString(NAME_KEY, ""));

    }
}
